const CompressionWebpackPlugin = require('compression-webpack-plugin')
const productionGzipExtensions = ['js','css']
const isProduction = process.env.NODE_ENV === 'production'

module.exports = {
    // 基本路径
    publicPath: './',
    // 输出文件目录
    outputDir: 'dist',
    chainWebpack: config => {
        config.module
            .rule('images')
            .use('url-loader')
            .loader('url-loader')
            .tap(options => Object.assign(options, { limit: 102400 }))
    },
    configureWebpack:config =>{
      if(isProduction){
          config.plugins.push(new CompressionWebpackPlugin({
              algorithm:'gzip',
              test:new RegExp('\\.(' + productionGzipExtensions.join('|') + ')$'),
              threshold:10240,
              minRatio:0.8
          }))
      }
    },
    devServer:{
        proxy:{
            '/api':{
                target:"http://192.168.2.169:8085",
                // target:"http://10.10.202.37:8080",
                changeOrigin:true,
                ws:true,
                pathRewrite:{
                    '^/api':''
                }
            }
        }
    }
}
